Page MenuHomePhabricator

Split OOjs UI's distribution .css files into code required by PHP version, and required by JS only
Closed, ResolvedPublic

Description

Now that Echo is using OOUI server-side on all pages, and loading the 'oojs-ui.styles' module on all pages (by calling OutputPage::enableOOUI() from BeforePageDisplay hook), I think it's become more necessary to split OOjs UI's distribution .css files into code required by PHP version, and required by JS only. mw.loader.inspect() tells me that the 'oojs-ui.styles' module is 95.8 kB currently, making it the third biggest loaded on all pages (after 'oojs-ui' and 'oojs-ui.styles.icons'). This is even worse because due to T87871 this is loaded twice.

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added subscribers: matmarex, ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 11:02 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 5:57 AM
Jdforrester-WMF closed this task as Resolved.Feb 1 2016, 9:54 PM
Jdforrester-WMF assigned this task to matmarex.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed MediaWiki-General.
Jdforrester-WMF set Security to None.